repo.libs.tools.require_bundle(node, 'nodejs')

directories = {
    '/opt/phanpy': {}
}

git_deploy = {
    '/opt/phanpy': {
        'rev': node.metadata.get('phanpy/version'),
        'repo': 'https://github.com/cheeaun/phanpy.git',
        'triggers': {
            'action:phanpy_build',
        },
    },
}

actions = {
    'phanpy_build': {
        'command': ' && '.join([
            'cd /opt/phanpy',
            'npm install ',
            'npm run build',
        ]),
        'needs': {
            'pkg_apt:nodejs',
        },
        'triggered': True,
    },
}
